import { _decorator, Component, Node } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('NewComponent')
export class NewComponent extends Component {
    start() {
        const myObj = new my_ns.MyObject();
        myObj.print(); // 调用原生的 print 方法
        console.log(`==> myObj.publicFloatProperty: ${myObj.publicFloatProperty}`); // 获取原生中定义的属性值
    }

    update(deltaTime: number) {
        
    }
}


